domingo, 29 de abril de 2012

need PK compat. v5.1 (can do v4.6)

Se esse erro ocorrer, significa que não é possível descompactar um arquivo com senha na versão mais nova de sua distro predileta.

A única solução disponível até o momento é fazer o procedimento na mão, sendo que testei apenas no Ubuntu, Debian e derivadas destas distros.

Você pode tentar nas outras, desde que procure os programas equivalentes com os mesmos executáveis. Instale-os como mostro abaixo:

Ubuntu e derivadas
$ sudo apt-get install lha arj rar zoo p7zip p7zip-full p7zip-rar unace unrar \
   unace-nonfree unrar-free

Debian e derivadas
$ su -
# apt-get install lha arj rar-2.80 zoo p7zip p7zip-full p7zip-rar unace unrar \
   unace-nonfree unrar-free

Agora descompacte os arquivos no terminal:

$ 7z e arquivo_compactado_e_encriptado.zip
7-Zip 9.20  Copyright (c) 1999-2010 Igor Pavlov  2010-11-18
p7zip Version 9.20 (locale=pt_BR.UTF-8,Utf16=on,HugeFiles=on,2 CPUs)
Processing archive: arquivo_compactado_e_encriptado.zip

Extracting 
arquivo_compactado_e_encriptado
Enter password (will not be echoed) : digite_a_senha_de_encriptação_aqui 

Everything is Ok
Size: ...
Compressed: ...


Agora é só abrir o arquivo descompactado com o programa correspondente: gimp, libreoffice etc.

Até a próxima dica!
;-))

Nenhum comentário:

Postar um comentário